<?php
require("../../database/dbConection.php");

$opcaoAfastammento  = $_POST['opcaoAfastammento'];
switch($opcaoAfastammento){
  case "profissional":
    $idUnidade      = $_POST['idUnidade'];
    $idProfissional = $_POST['idProfissional'];

      # --  carregar lista atualizada -- #
      $sqlAfastamento	= "SELECT reg_tb_afastamento_profissional.id_afastamento_profissional,
      tb_profissional.codigoprofissional_cnes,
      tb_profissional.nome_profissional,      
      tb_estabelecimento.codigoestabelecimento_cnes,
      tb_estabelecimento.nfantasia_estabelecimento,
      reg_tb_procedimento_grupo.nome_grupo_procedimento,
      reg_tb_procedimento.nome_procedimento,
      reg_tb_afastamento_profissional.id_grupo_procedimento,
      reg_tb_afastamento_profissional.id_procedimento,
      reg_tb_afastamento_profissional.datainicio_afastamento,
      reg_tb_afastamento_profissional.datafim_afastamento,      
      date_format(reg_tb_afastamento_profissional.datainicio_afastamento,'%d/%m/%Y') as dataInicioAfastamento,
      date_format(reg_tb_afastamento_profissional.datafim_afastamento,'%d/%m/%Y') as dataFimAfastamento,
      date_format(reg_tb_afastamento_profissional.datafim_afastamento,'%Y-%m-%d') as dataFimValidacao,
      date_format(reg_tb_afastamento_profissional.datahora_cadastro,'%d/%m/%Y %H:%i') as dataRegistro,
      date_format(reg_tb_afastamento_profissional.horainicio_afastamento,'%H:%i') AS horaInicioAfastamento,
      date_format(reg_tb_afastamento_profissional.horafim_afastamento,'%H:%i') AS horaFimAfastamento,
      reg_tb_afastamento_profissional.motivo_afastamento
      FROM reg_tb_afastamento_profissional
      INNER JOIN tb_estabelecimento ON (reg_tb_afastamento_profissional.codigoestabelecimento_cnes = tb_estabelecimento.codigoestabelecimento_cnes)
      INNER JOIN tb_profissional ON (reg_tb_afastamento_profissional.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
      LEFT OUTER JOIN reg_tb_procedimento_grupo ON (reg_tb_afastamento_profissional.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
      LEFT OUTER JOIN reg_tb_procedimento ON (reg_tb_afastamento_profissional.id_procedimento = reg_tb_procedimento.id_procedimento)
      WHERE (tb_estabelecimento.codigoestabelecimento_cnes='$idUnidade') AND (tb_profissional.codigoprofissional_cnes='$idProfissional')
      ORDER BY reg_tb_afastamento_profissional.datafim_afastamento DESC";

      $stmAfastamento	= $rsConexao->prepare($sqlAfastamento);
      $stmAfastamento	->execute();
      if($stmAfastamento->rowCount()>0){
        $rsAfastamento	= $stmAfastamento->fetchAll(PDO::FETCH_ASSOC);
        foreach($rsAfastamento as $fieldAfastamento){
          $idAfastamento        = $fieldAfastamento['id_afastamento_profissional'];
          $idProfissionalEditar = mb_strtoupper($fieldAfastamento['codigoprofissional_cnes']);
          $nomeProfissional     = mb_strtoupper($fieldAfastamento['nome_profissional']);
          $idUnidadeEditar      = mb_strtoupper($fieldAfastamento['codigoestabelecimento_cnes']);
          $nomeUnidade          = mb_strtoupper($fieldAfastamento['nfantasia_estabelecimento']);
          $esconderComando      = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='display:none'" : "";
          $corFundoDatafinal    = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='background-color: #e2aaaa !important; color: #700000'" : "";
          $nomeProcedimentoGrupo  = $fieldAfastamento['nome_procedimento']!="" ? mb_strtoupper($fieldAfastamento['nome_procedimento']) : mb_strtoupper($fieldAfastamento['nome_grupo_procedimento']);
          $idProcedimentoGrupo  = $fieldAfastamento['id_procedimento']!="" ? "PROCEDIMENTO##".$fieldAfastamento['id_procedimento'] : "GRUPO##".$fieldAfastamento['id_grupo_procedimento'];          
          $dataInicioEditar = $fieldAfastamento['datainicio_afastamento'];
          $dataFimEditar    = $fieldAfastamento['datafim_afastamento'];
          $dataInicioAfastamento  = $fieldAfastamento['dataInicioAfastamento'];
          $motivoAfastamento      = mb_strtoupper($fieldAfastamento['motivo_afastamento']);
          $dataFimAfastamento     = $fieldAfastamento['dataFimAfastamento'];
          $intervaloAfastamento   = "das " . $fieldAfastamento['horaInicioAfastamento'] . " às " .$fieldAfastamento['horaFimAfastamento'];
          $horaInicioAfastamento  = $fieldAfastamento['horaInicioAfastamento'];
          $horaFimAfastamento     = $fieldAfastamento['horaFimAfastamento'];
          $dataRegistro           = $fieldAfastamento['dataRegistro'];

          $linkEditarAfastamento	= '"editarAfastamento(' . "'$idAfastamento%%$idUnidadeEditar%%$idProfissionalEditar%%$idProcedimentoGrupo%%$dataInicioEditar%%$dataFimEditar%%$horaInicioAfastamento%%$horaFimAfastamento%%$motivoAfastamento')" . '"';
          $linkExcluirAfastamento	= '"excluirAfastamento(' . "'$idAfastamento','$idUnidadeEditar','$idProfissionalEditar')" . '"';
          echo "<tr>
            <td style='text-align:center'>
              <i class='icofont icofont-edit nova_fonte' title='Editar registro de Afastamento.' $esconderComando onclick=$linkEditarAfastamento></i>&nbsp;
              <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Afastamento.' $esconderComando  onclick=$linkExcluirAfastamento></i>
            </td>
            <td>$nomeProfissional</td>
            <td>$nomeUnidade</td>
            <td>$nomeProcedimentoGrupo</td>
            <td align='center'>$dataInicioAfastamento</td>
            <td align='center' $corFundoDatafinal>$dataFimAfastamento</td>
            <td align='center'>$intervaloAfastamento</td>
            <td>$motivoAfastamento</td>
            <td style='text-align:center'>$dataRegistro</td>
          </tr>";
        }
      }

  break;

  case "unidade":
    $idUnidade        = $_POST['idUnidade'];
    $sqlAfastramento  = "SELECT reg_tb_afastamento_unidade.id_afastamento_unidade,
    tb_estabelecimento.codigoestabelecimento_cnes,
    ucase(tb_estabelecimento.nfantasia_estabelecimento) AS nomeUnidade,
    date_format(reg_tb_afastamento_unidade.datainicio_afastamento,'%d/%m/%Y') AS inicioAfastramento,
    date_format(reg_tb_afastamento_unidade.datafim_afastamento,'%d/%m/%Y') AS fimAfastramento,
    reg_tb_afastamento_unidade.datainicio_afastamento,
    date_format(reg_tb_afastamento_unidade.datafim_afastamento,'%Y-%m-%d') as dataFimValidacao,
    reg_tb_afastamento_unidade.datafim_afastamento,
    ucase(reg_tb_afastamento_unidade.motivo_afastamento) AS motivoAfastamento,
    date_format(reg_tb_afastamento_unidade.horainicio_afastamento,'%H:%i') AS horaInicioAfastamento,
     date_format(reg_tb_afastamento_unidade.horafim_afastamento,'%H:%i') AS horaFimAfastamento,    
    date_format(reg_tb_afastamento_unidade.datahora_cadastro,'%d/%m/%Y') AS dataHoraCadastro
    FROM reg_tb_afastamento_unidade
    INNER JOIN tb_estabelecimento ON (reg_tb_afastamento_unidade.codigoestabelecimento_cnes=tb_estabelecimento.codigoestabelecimento_cnes)
    WHERE tb_estabelecimento.codigoestabelecimento_cnes='$idUnidade'";
    $stmAfastramento  = $rsConexao->prepare($sqlAfastramento);
    $stmAfastramento  -> execute();
    if($stmAfastramento->rowCount()>0){
      $rsAfastramento = $stmAfastramento->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsAfastramento AS $fieldAfastamento) {
        $idAfastamento      = $fieldAfastamento['id_afastamento_unidade'];
        $nomeUnidade        = $fieldAfastamento['nomeUnidade'];
        $inicioAfastramento = $fieldAfastamento['inicioAfastramento'];
        $fimAfastramento    = $fieldAfastamento['fimAfastramento'];
        $motivoAfastamento  = $fieldAfastamento['motivoAfastamento'];
        $dataHoraCadastro   = $fieldAfastamento['dataHoraCadastro'];
        $idUnidadeEditar    = $fieldAfastamento['codigoestabelecimento_cnes'];
        $dataInicioEditar   = $fieldAfastamento['datainicio_afastamento'];
        $dataFimEditar      = $fieldAfastamento['datafim_afastamento'];
        $intervaloAfastamento   = "das " . $fieldAfastamento['horaInicioAfastamento'] . " às " .$fieldAfastamento['horaFimAfastamento'];
        $horaInicioAfastamento  = $fieldAfastamento['horaInicioAfastamento'];
        $horaFimAfastamento     = $fieldAfastamento['horaFimAfastamento'];

        $esconderComando      = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='display:none'" : "";
        $corFundoDatafinal    = $fieldAfastamento['dataFimValidacao']<date("Y-m-d") ? "style='background-color: #e2aaaa !important; color: #700000'" : "";
        
        $linkEditarAfastamento	= '"editarAfastamento(' . "'$idAfastamento%%$dataInicioEditar%%$dataFimEditar%%$horaInicioAfastamento%%$horaFimAfastamento%%$motivoAfastamento')" . '"';
        $linkExcluirAfastamento	= '"excluirAfastamento(' . "'$idAfastamento','$idUnidadeEditar')" . '"';

        echo "<tr>
          <td align='center'>
              <i class='icofont icofont-edit nova_fonte' title='Editar registro de Afastamento.' $esconderComando onclick=$linkEditarAfastamento></i>&nbsp;
              <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Afastamento.' $esconderComando  onclick=$linkExcluirAfastamento></i>
          </td>
          <td align='center'>$inicioAfastramento</td>
          <td align='center'>$fimAfastramento</td>
          <td align='center'>$intervaloAfastamento</td>
          <td>$motivoAfastamento</td>
          <td align='center'>$dataHoraCadastro</td>
        </tr>"; 
      }
    }
  break;
}

?>